<?xml version="1.0" encoding="utf-8"?>
<!--
Copyright (c) 2001 The JA-SIG Collaborative.  All rights reserved.
Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in
   the documentation and/or other materials provided with the
   distribution.
   
3. Redistributions of any form whatsoever must retain the following
   acknowledgment:
   "This product includes software developed by the JA-SIG Collaborative
   (http://www.jasig.org/)."
   
THIS SOFTWARE IS PROVIDED BY THE JA-SIG COLLABORATIVE "AS IS" AND ANY
EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE JA-SIG COLLABORATIVE OR
ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
OF THE POSSIBILITY OF SUCH DAMAGE.

Author: Justin Tilton, jet@immagic.com
Author: Terence Ordona, tordona@vt.edu
Version $Revision: 1.3 $
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:rss09="http://my.netscape.com/rdf/simple/0.9/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns="http://purl.org/rss/1.0/" exclude-result-prefixes="rss09">
<xsl:output method="html" indent="yes"/>
<xsl:param name="baseActionURL">render.userLayoutRootNode.uP</xsl:param>
<xsl:variable name="mediaPath">media/org/jasig/portal/channels/CGenericXSLT</xsl:variable>

<xsl:template match="/rdf:RDF">
	<div>
		<xsl:apply-templates select="rss09:channel"/>
	</div>
</xsl:template>

<xsl:template match="rss09:channel">
	<div>
		<span class="uportal-channel-subtitle" style="float:left;">
			<a href="{../rss09:image/rss09:link}" target="_blank">
				<img alt="{../rss09:image/rss09:title}" src="{../rss09:image/rss09:url}" width="88" height="31" style="padding-right: 3px;"/>
			</a>
		</span>
		<xsl:value-of select="rss09:description"/>
	</div>

	<br/><br/>

	<ul class="uportal-rss">
		<xsl:apply-templates select="../rss09:item"/>
	</ul>

	<br/>

	<xsl:apply-templates select="../rss09:textinput"/>
</xsl:template>

<xsl:template match="rss09:item">
	<li class="uportal-rss-link">
		<a href="{rss09:link}" target="_blank">
			<xsl:value-of select="rss09:title"/>
		</a>
	</li>
	<xsl:if test="rss09:description != ''">
		<li class="uportal-rss-description">
			<xsl:value-of select="rss09:description"/>
		</li>
	</xsl:if>
</xsl:template>

<xsl:template match="rss09:textinput">
	<form action="{rss09:link}">
	<span class="uportal-label">
		<xsl:value-of select="rss09:description"/>
	</span>
	
	<br/>

	<input type="text" name="{rss09:name}" size="30" class="uportal-input-text"/> <input type="submit" name="Submit" value="Submit" class="uportal-button"/>
	</form>
</xsl:template>

</xsl:stylesheet>
